Get userGroup

Retrieves the properties and relationships of an user group object for Dynamics 365 Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET /microsoft/automation/v2.0/companies({companyId})/userGroups({userGroupId})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request body

Do not supply a request body for this method.

Response

If successful, this method returns a 200 OK response code and an userGroup object in the response body.

Example

Request

Here is an example of the request.

GET https://api.businesscentral.dynamics.com/v2.0/{environment name}/api/microsoft/automation/v2.0/companies({companyId})/userGroups({userGroupId})

Response Here is an example of the response.

{
    "id": "d38a92e2-9d74-eb11-bb5c-00155df3a615",
    "code": "D365 ACCOUNTANTS",
    "displayName": "Dynamics 365 for Accountants",
    "defaultProfileID": "ACCOUNTANT PORTAL",
    "assignToAllNewUsers": false
}

See Also

Tips for working with the APIs
userGroup